Package it.ernytech.tdlib

## Class TdApi.SetStickerPositionInSet

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.SetStickerPositionInSet

Enclosing class:
  TdApi

    public static class TdApi.SetStickerPositionInSet
    extends TdApi.Function

Changes the position of a sticker in the set to which it belongs; for bots only. The sticker set must have been created by the bot.

Returns `Ok`

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`int` `position` New position of the sticker in the set, zero-based.
`TdApi.InputFile` `sticker` Sticker.

### Constructor Summary

Constructors
`SetStickerPositionInSet()` Default constructor.
`SetStickerPositionInSet​(TdApi.InputFile sticker, int position)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### sticker

    public TdApi.InputFile sticker

Sticker.

#### position

    public int position

New position of the sticker in the set, zero-based.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### SetStickerPositionInSet

    public SetStickerPositionInSet()

Default constructor.

#### SetStickerPositionInSet

    public SetStickerPositionInSet​(TdApi.InputFile sticker,
                                   int position)

Constructor for initialization of all fields.

Parameters:
  `sticker` - Sticker.
  `position` - New position of the sticker in the set, zero-based.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR